/*
  ==================================================================================================
           _   _          _  __     _________ _____ _____  _____ 
     /\   | \ | |   /\   | | \ \   / /__   __|_   _/ ____|/ ____|
    /  \  |  \| |  /  \  | |  \ \_/ /   | |    | || |    | (___  
   / /\ \ | . ` | / /\ \ | |   \   /    | |    | || |     \___ \ 
  / ____ \| |\  |/ ____ \| |____| |     | |   _| || |____ ____) |
 /_/    \_\_| \_/_/    \_\______|_|     |_|  |_____\_____|_____/ 
                                                                 
  
  Analytics for usage tracking
  ==================================================================================================
*/
var Analytics = function() {
  'use strict';

  function Analytics() {
    this.TRACKING_FLAG = false;
  }
  
  Analytics.prototype.trackEvent = function(category, action, label, value) {
    if (!this.TRACKING_FLAG) {
      return;
    }
    ga('send', 'event', category, action, label, value);
    printDebug("Analytics: " + category + " - " + action + " - " + label + " - " + value);
  };
  
  return Analytics;
}();