NB.ready(function() {

  var linesGroup = [];

  window.NB.addObserver("annotationAddedEvent", function(event) {
    linesGroup.push(event.eventData);
  });

  window.NB.addObserver("groupInkAndClose", function(event) {
    unlockLineObjects(linesGroup, NB.page);
    NB.getHostObject().deleteObject();
  });

  function unlockLineObjects(linesGroup, page) {
    if (linesGroup.length > 1) {
      // Group lines in NB
      var groupedInk = page.groupObjects(linesGroup);
      var eventData = {};
      eventData["com.smarttech.KAPP"] = groupedInk.guid;
      NB.postEvent("addNewGroupId", eventData);
    }
  }

  var eventData = {};
  eventData["com.smarttech.KAPP"] = "";
  NB.postEvent("widgetWave", eventData);

});